<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Get_Vehicles StructType
 * @subpackage Structs
 */
class Get_Vehicles extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The VehicleSelection
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\VehicleSelection
     */
    public $VehicleSelection;
    /**
     * Constructor method for Get_Vehicles
     * @uses Get_Vehicles::setLogin()
     * @uses Get_Vehicles::setVehicleSelection()
     * @param \StructType\Login $login
     * @param \StructType\VehicleSelection $vehicleSelection
     */
    public function __construct(\StructType\Login $login = null, \StructType\VehicleSelection $vehicleSelection = null)
    {
        $this
            ->setLogin($login)
            ->setVehicleSelection($vehicleSelection);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Get_Vehicles
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get VehicleSelection value
     * @return \StructType\VehicleSelection|null
     */
    public function getVehicleSelection()
    {
        return $this->VehicleSelection;
    }
    /**
     * Set VehicleSelection value
     * @param \StructType\VehicleSelection $vehicleSelection
     * @return \StructType\Get_Vehicles
     */
    public function setVehicleSelection(\StructType\VehicleSelection $vehicleSelection = null)
    {
        $this->VehicleSelection = $vehicleSelection;
        return $this;
    }
}
